Package gov.nasa.gsfc.sscweb.schema

# Enum Class CoordinateSystem

java.lang.Object
java.lang.Enum<CoordinateSystem>
gov.nasa.gsfc.sscweb.schema.CoordinateSystem

All Implemented Interfaces:
  `Serializable`, `Comparable<CoordinateSystem>`, `Constable`

public enum CoordinateSystem extends Enum<CoordinateSystem>
Coordinate System enumeration. <p>Java class for CoordinateSystem</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="CoordinateSystem"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="Geo"/> <enumeration value="Gm"/> <enumeration value="Gse"/> <enumeration value="Gsm"/> <enumeration value="Sm"/> <enumeration value="GeiTod"/> <enumeration value="GeiJ2000"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GEI_J_2000`
  GEI J2000 coordinate system.
  `GEI_TOD`
  GEI TOD coordinate system.
  `GEO`
  GEO coordinate system.
  `GM`
  GM coordinate system.
  `GSE`
  GSE coordinate system.
  `GSM`
  GSM coordinate system.
  `SM`
  SM coordinate system.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `CoordinateSystem(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CoordinateSystem`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CoordinateSystem`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CoordinateSystem[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GEO

    public static final CoordinateSystem GEO
    GEO coordinate system.

  - ### GM

    public static final CoordinateSystem GM
    GM coordinate system.

  - ### GSE

    public static final CoordinateSystem GSE
    GSE coordinate system.

  - ### GSM

    public static final CoordinateSystem GSM
    GSM coordinate system.

  - ### SM

    public static final CoordinateSystem SM
    SM coordinate system.

  - ### GEI_TOD

    public static final CoordinateSystem GEI_TOD
    GEI TOD coordinate system.

  - ### GEI_J_2000

    public static final CoordinateSystem GEI_J_2000
    GEI J2000 coordinate system. This value is not supported in a conjunction query request.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### CoordinateSystem

    private CoordinateSystem(String v)

- ## Method Details

  - ### values

    public static CoordinateSystem[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CoordinateSystem valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CoordinateSystem fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.